//****************************************************
//*_____________________Slick________________________*
//****************************************************

textures/mes_shader/SlickNoDamage
{
	qer_editorimage textures/mes_shader/SlickNoDamage.jpg
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}


//****************************************************
//*_____________________No_Damage_______________________*
//****************************************************


textures/mes_shader/NoDamage
{
surfaceparm solid
surfaceparm nodamage

{
map textures/mes_shader/NoDamage.tga
} 
{
map $lightmap
blendfunc filter
}

}

//****************************************************
//*______________________Lava________________________*
//****************************************************


textures/mes_shader/liquidlava
{
qer_editorimage textures/mes_shader/liquidlava.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm lava
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidlava.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidlava.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}


//****************************************************
//*_____________________Water________________________*
//****************************************************


textures/mes_shader/liquidsnake
{
qer_editorimage textures/mes_shader/liquidsnake.tga
qer_trans .5
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map textures/mes_shader/liquidsnake.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.05 .010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}



//***********************
//______________WaterCaulk
//***********************

textures/mes_shader/watercaulk
{
qer_editorimage textures/mes_shader/watercaulk.tga
qer_trans 10
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm water
}



//***********************************		********************************//
//_____________________ Lava Basique ____________________//
//***********************************		********************************//

textures/mes_shader/lave_basique
{
		qer_editorimage textures/mes_shader/lava.tga
		qer_trans .5

		surfaceparm lava
		surfaceparm nolightmap

		cull disable
		deformVertexes wave 128 sin 0 1 0 .75
		{
			map textures/mes_shader/lava.tga
			tcMod turb 0.1 0.1 0 0.25
		}
}

//

textures/mes_shader/molten
	{
		qer_editorimage textures/mes_shader/lava01.tga
		q3map_lightimage textures/mes_shader/lava02.tga
		q3map_globaltexture
		qer_trans .5
		surfaceparm noimpact
		surfaceparm lava
		surfaceparm trans		
		q3map_surfacelight 1500
		tessSize 8
		cull disable
		deformVertexes wave 100 sin 0 1 .5 .5
		{
			map textures/mes_shader/lava01.tga
			tcMod turb .3 .2 1 .05
			tcMod scroll .01 .01
		}
		{
			map textures/mes_shader/lava02.tga
			blendfunc GL_ONE GL_ONE
			tcMod turb .2 .1 1 .05
			tcMod scale .5 .5
			tcMod scroll .01 .01
		}
		{
			map textures/mes_shader/bubbles.tga
			blendfunc GL_ZERO GL_SRC_COLOR
			tcMod turb .2 .1 .1 .2
			tcMod scale .05 .05
			tcMod scroll .001 .001
		}		
}



//______ Slime _______

textures/mes_shader/liquidslime
{
qer_editorimage textures/mes_shader/liquidslime.tga
q3map_globaltexture
qer_trans 0.75
surfaceparm trans
surfaceparm noimpact
surfaceparm slime
surfaceparm nolightmap
surfaceparm detail
q3map_surfacelight 375
cull disable
{
map textures/mes_shader/liquidslime.tga
tcmod scale 0.10 0.10
tcmod scroll 0.04 0.03
tcMod turb 0 0.02 0 0.01
blendFunc blend
rgbGen identity
}
{
map textures/mes_shader/liquidslime.tga
blendfunc blend
tcMod turb 0 0.15 0 0.1
}
}


//_____________________Skip___________

textures/mes_shader/skip
{
qer_editorimage textures/mes_shader/laser.tga
qer_nocarve
surfaceparm nonsolid
surfaceparm skip
surfaceparm structural
}

//_____________Nodraw Solid__________

textures/mes_shader/nodraw_solid
{
qer_editorimage textures/mes_shader/NoDrawSolid.jpg
qer_trans 0.55
surfaceparm nodraw
surfaceparm nomarks
surfaceparm trans
}


//***************************************                     ***********************//
//______________________WaterSlime______________//
//**************************************                       ***********************//

textures/mes_shader/WaterSlime
{
qer_editorimage textures/mes_shader/liquidslime2.tga
qer_trans .75
q3map_globaltexture
surfaceparm trans
surfaceparm nonsolid
surfaceparm water
tessSize 64
cull disable
deformVertexes wave 256 sin 0.5 1.75 .5 .5
{
map textures/mes_shader/liquidslime2.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll -.010 .05
}
{
map textures/mes_shader/liquidslime2.tga
blendFunc GL_DST_COLOR GL_ONE
rgbGen identity
tcMod scroll .05 -.010
}
{
map $lightmap
blendFunc GL_DST_COLOR GL_ZERO
rgbgen identity
}
}

//*********************************	********************//
//____________________ Vitre ____________//
//*********************************	********************//

textures/mes_shader/vitre
{
	qer_editorimage textures/mes_shader/vitre.tga
	surfaceparm nodamage
	surfaceparm nolightmap
	surfaceparm structural
	surfaceparm trans
	qer_trans 0.1
	{
		map textures/mes_shader/vitre.tga
		blendfunc add
		tcGen environment 
	}
}


//*********************************           	********************//
//____________________ Laser ____________//
//*********************************	 ********************//

textures/mes_shader/Laser:q3map
{
   qer_editorimage textures/mes_shader/laser.tga
   surfaceparm nonsolid
   
   {
      map textures/mes_shader/laser.tga
      rgbGen identity
   }

}